## gazebo 7.8.1+dfsg

=== debian/changelog ===
gazebo (7.8.1+dfsg-4ubuntu1) bionic; urgency=medium

  * Add patch for new tinyxml, thanks Peter Michael Green (Closes: 887931)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 30 Jan 2018 09:44:37 +0000

gazebo (7.8.1+dfsg-4build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:44 +0000

gazebo (7.8.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Iain Lane ]
  * Take patch from Fedora to fix FTBFS when running moc. Update it a bit for
    current gazebo. (Closes: #882591)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 18:01:02 +0100

gazebo (7.8.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move dependency according to links file.
  * Add patch for Q_MOC_RUN (Closes: #882591)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Nov 2017 12:35:51 +0100

gazebo (7.8.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * strlen patch taken from upstream (Closes: #876562)
  * Fix fonts dependencies (Closes: #878595, #857393, #857393)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Oct 2017 01:03:51 +0200

gazebo (7.8.1+dfsg-1) unstable; urgency=medium

  * Remove merged patches
  * Imported Upstream version 7.8.1
  * Update standards to 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 19:29:48 +0000
