=== debian/changelog ===
gazebo (9.0.0+dfsg5-3ubuntu1) bionic; urgency=medium

  * Revert wrong arch-filtering of build-deps, which causes build failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 13:41:04 -0800

gazebo (9.0.0+dfsg5-3) unstable; urgency=medium

  * Filter optional dependencies from those arches that does not support build-dep packages

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 27 Feb 2018 08:53:44 +0000

gazebo (9.0.0+dfsg5-2) unstable; urgency=medium

  * Upload to unsatble
  * Change graphviz by libgraphviz-dev to fix optional support
  * Added ignition-fuelt-tools as dependency to enable optional support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Feb 2018 15:28:06 +0000

gazebo (9.0.0+dfsg5-1) experimental; urgency=medium

  * Added patch to use roboto system fonts
  * Added patch to use system qtpropertybrowser
  * Missing pieces in the copyright file
  * Remove duplicate dependency on simbody
  * Do not restrict desktops where gazebo is shown
  * Fix lintian errors related to copyright
  * Change to salsa. Break/Replace gazebo7 version
  * Remove gazebo.menu
    (https://www.debian.org/doc/debian-policy/#version-4-0-1)
  * Remove all the SSE logic from rules file
  * Update TODO file with info about the ode packaging exception
  * Simplify and improve the README file: move licenses to its own section and
    use wildcards for listing files when possible
  * Missing font dependencies
  * Remove embedded libraries present in code
  * Added clang-format
  * Update the way of getting sources
  * Imported Upstream version 9.0.0+dfsg
    (Closes: #887931, #874898, #874898)
  * Use system ccd
  * Fix watch file
  * Remove fonts copyright
  * New upstream version 9.0.0+dfsg5

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Feb 2018 02:49:23 +0000
